通过路由,交换,安全,Qos四大典型技术模块同你分享网络运维中的技术难题,让老司机带你躲过网络运维常见的那些坑, 查看详情>>>
0

我的帖子

个人中心

设置

  发新话题
在github上下载了,安装了之后在idle上运行,好像是说Python不能上网。新手求助。现在问题已经解决,是ssl 证书的问题,不能用最新的
复制内容到剪贴板
代码:
sudo pip uninstall -y certifi

sudo pip install certifi==2015.04.28
>>> bot=Bot()
Traceback (most recent call last):
  File "D:\Python34\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "D:\Python34\lib\site-packages\urllib3\connectionpool.py", line 345, in _make_request
    self._validate_conn(conn)
  File "D:\Python34\lib\site-packages\urllib3\connectionpool.py", line 844, in _validate_conn
    conn.connect()
  File "D:\Python34\lib\site-packages\urllib3\connection.py", line 326, in connect
    ssl_context=context)
  File "D:\Python34\lib\site-packages\urllib3\util\ssl_.py", line 325, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "D:\Python34\lib\ssl.py", line 365, in wrap_socket
    _context=self)
  File "D:\Python34\lib\ssl.py", line 583, in __init__
    self.do_handshake()
  File "D:\Python34\lib\ssl.py", line 810, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "D:\Python34\lib\site-packages\requests\adapters.py", line 440, in send
    timeout=timeout
  File "D:\Python34\lib\site-packages\urllib3\connectionpool.py", line 630, in urlopen
    raise SSLError(e)
urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "D:\Python34\lib\site-packages\itchat\utils.py", line 124, in test_connect
    r = requests.get(config.BASE_URL)
  File "D:\Python34\lib\site-packages\requests\api.py", line 72, in get
    return request('get', url, params=params, **kwargs)
  File "D:\Python34\lib\site-packages\requests\api.py", line 58, in request
    return session.request(method=method, url=url, **kwargs)
  File "D:\Python34\lib\site-packages\requests\sessions.py", line 502, in request
    resp = self.send(prep, **send_kwargs)
  File "D:\Python34\lib\site-packages\requests\sessions.py", line 612, in send
    r = adapter.send(request, **kwargs)
  File "D:\Python34\lib\site-packages\requests\adapters.py", line 514, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
You can't get access to internet or wechat domain, so exit.




本帖最后由 tusheng 于 2017-6-28 13:18 编辑
SSL验证失败。  



引用:
原帖由 贵在坚持 于 2017-6-19 17:51 发表
SSL验证失败。  
那是什么意思? 再去看看安装教程?  是不是还有一个ssl的模块没有装?



                                   



引用:
原帖由 苍狼牧 于 2017-6-22 11:40 发表
                                   
谢谢你顶帖



楼主,问题解决没,我今天也遇到同样的问题了,不知道如何解决~~~



引用:
原帖由 小西子子 于 2017-6-23 11:18 发表
楼主,问题解决没,我今天也遇到同样的问题了,不知道如何解决~~~
没有解决,不知道是不是微信换了接口



引用:
原帖由 小西子子 于 2017-6-23 11:18 发表
楼主,问题解决没,我今天也遇到同样的问题了,不知道如何解决~~~
在github上得到了作者的回复。是ssl证书的问题,不能用最新的。

sudo pip uninstall -y certifi
sudo pip install certifi==2015.04.28



试试爬搜狗微信吧,我最近在用 神箭手 shenjian.io 提供的 微信文章采集爬虫,爬取速度快,数据导出方便~~



提示: 作者被禁止或删除 内容自动屏蔽
‹‹ 上一贴:分布式科学计算与docker   |   下一贴:python按行读取相应数据 ››
  发新话题
快速回复主题
关于我们 | 诚聘英才 | 联系我们 | 网站大事 | 友情链接 |意见反馈 | 网站地图
Copyright©2005-2018 51CTO.COM
本论坛言论纯属发布者个人意见,不代表51CTO网站立场!如有疑义,请与管理员联系:bbs@51cto.com